# glance.common.trust_auth module

class glance.common.trust_auth.TokenRefresher(user_plugin, user_project, user_roles)

  Bases: `object`

  Class that responsible for token refreshing with trusts

  refresh_token()

    Receive new token if user need to update old token

    Returns:

      new token that can be used for authentication

  release_resources()

    Release keystone resources required for refreshing

this page last updated: 2026-04-16 16:57:26

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug